# Uses of Class
org.eclipse.zest.layouts.algorithms.TreeLayoutObserver

Packages that use TreeLayoutObserver
Package
Description
org.eclipse.zest.layouts.algorithms

## Uses of TreeLayoutObserver in org.eclipse.zest.layouts.algorithms

Fields in org.eclipse.zest.layouts.algorithms declared as TreeLayoutObserver
Modifier and Type
Field
Description
`protected final TreeLayoutObserver`
TreeLayoutObserver.TreeNode.`owner`
Methods in org.eclipse.zest.layouts.algorithms that return TreeLayoutObserver
Modifier and Type
Method
Description
`TreeLayoutObserver`
TreeLayoutObserver.TreeNode.`getOwner()`
Methods in org.eclipse.zest.layouts.algorithms with parameters of type TreeLayoutObserver
Modifier and Type
Method
Description
`TreeLayoutObserver.TreeNode`
TreeLayoutObserver.TreeNodeFactory.`createTreeNode(NodeLayout nodeLayout, TreeLayoutObserver observer)`
Constructors in org.eclipse.zest.layouts.algorithms with parameters of type TreeLayoutObserver
Modifier
Constructor
Description
`protected`
`TreeNode(NodeLayout node, TreeLayoutObserver owner)`
Creates a tree node related to given layout node